demos / TraderDemoProtocolSeller

# TraderDemoProtocolSeller

`class TraderDemoProtocolSeller : ProtocolLogic<Unit>`

### Types

ANNOUNCING | `object ANNOUNCING : Step`
SELF_ISSUING | `object SELF_ISSUING : Step`
TRADING | `object TRADING : Step`

### Constructors

<init> | `TraderDemoProtocolSeller(myAddress: <ERROR CLASS>, otherSide: SingleMessageRecipient, progressTracker: ProgressTracker = TraderDemoProtocolSeller.tracker())`

### Properties

myAddress | `val myAddress: <ERROR CLASS>`
otherSide | `val otherSide: SingleMessageRecipient`
progressTracker | `val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this protocol is invoked as a sub-protocol of another, then the tracker will be made a child of the current step in the parent. If its null, this protocol doesnt track progress.

### Inherited Properties

logger | `val logger: <ERROR CLASS>` This is where you should log things to.
psm | `lateinit var psm: ProtocolStateMachine<*>` Reference to the Fiber instance that is the top level controller for the entire flow.
serviceHub | `val serviceHub: ServiceHub` Provides access to big, heavy classes that may be reconstructed from time to time, e.g. across restarts

### Functions

call | `fun call(): Unit` This is where you fill out your business logic.
selfIssueSomeCommercialPaper | `fun selfIssueSomeCommercialPaper(ownedBy: PublicKey, tsa: NodeInfo): StateAndRef<State>`

### Inherited Functions

receive | `fun <T : Any> receive(topic: String, sessionIDForReceive: Long): UntrustworthyData<T>` `fun <T : Any> receive(topic: String, sessionIDForReceive: Long, clazz: Class<T>): UntrustworthyData<T>`
send | `fun send(topic: String, destination: MessageRecipients, sessionID: Long, obj: Any): Unit`
sendAndReceive | `fun <T : Any> sendAndReceive(topic: String, destination: MessageRecipients, sessionIDForSend: Long, sessionIDForReceive: Long, obj: Any): UntrustworthyData<T>`
subProtocol | `fun <R> subProtocol(subLogic: ProtocolLogic<R>): R` Invokes the given subprotocol by simply passing through this ProtocolLogics reference to the ProtocolStateMachine and then calling the call method.

### Companion Object Properties

PROSPECTUS_HASH | `val PROSPECTUS_HASH: <ERROR CLASS>`

### Companion Object Functions

tracker | `fun tracker(): <ERROR CLASS>`